LogAggregationStatus (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, enum: LogAggregationStatus

Package org.apache.hadoop.yarn.api.records

# Enum Class LogAggregationStatus

java.lang.Object
java.lang.Enum<LogAggregationStatus>
org.apache.hadoop.yarn.api.records.LogAggregationStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<LogAggregationStatus>`, `Constable`

public enum LogAggregationStatus extends Enum<LogAggregationStatus>

Status of Log aggregation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISABLED`
  Log Aggregation is Disabled.
  `FAILED`
  Log Aggregation is completed.
  `NOT_START`
  Log Aggregation does not Start.
  `RUNNING`
  Log Aggregation is Running.
  `RUNNING_WITH_FAILURE`
  Log Aggregation is Running, but has failures in previous cycles.
  `SUCCEEDED`
  Log Aggregation is Succeeded.
  `TIME_OUT`
  The application is finished, but the log aggregation status is not updated for a long time.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LogAggregationStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LogAggregationStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DISABLED

    public static final LogAggregationStatus DISABLED
    Log Aggregation is Disabled.

  - ### NOT_START

    public static final LogAggregationStatus NOT_START
    Log Aggregation does not Start.

  - ### RUNNING

    public static final LogAggregationStatus RUNNING
    Log Aggregation is Running.

  - ### RUNNING_WITH_FAILURE

    public static final LogAggregationStatus RUNNING_WITH_FAILURE
    Log Aggregation is Running, but has failures in previous cycles.

  - ### SUCCEEDED

    public static final LogAggregationStatus SUCCEEDED
    Log Aggregation is Succeeded. All of the logs have been aggregated successfully.

  - ### FAILED

    public static final LogAggregationStatus FAILED
    Log Aggregation is completed. But at least one of the logs have not been aggregated.

  - ### TIME_OUT

    public static final LogAggregationStatus TIME_OUT
    The application is finished, but the log aggregation status is not updated for a long time.
    See Also:
      - `YarnConfiguration.LOG_AGGREGATION_STATUS_TIME_OUT_MS`

- ## Method Details

  - ### values

    public static LogAggregationStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LogAggregationStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null